# ytcc - The YouTube channel checker
# Copyright (C) 2021  Wolfgang Popp
#
# This file is part of ytcc.
#
# ytcc is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# ytcc is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with ytcc.  If not, see <http://www.gnu.org/licenses/>.

from ytcc import Video, Playlist

WEBDRIVER_PLAYLIST = Playlist(
    "WebDriver",
    "https://www.youtube.com/playlist?list=UUsLiV4WJfkTEHH0b9PmRklw",
    False
)

WEBDRIVER_VIDEOS = [
    Video("https://www.youtube.com/watch?v=XI7Cxdj2pAQ", "StmpavbMLW", "tmpavbMLW", 1572476400.0,
          None, 9.0, None, "youtube XI7Cxdj2pAQ"),
    Video("https://www.youtube.com/watch?v=qIzfPsvRKMI", "tmp0MBiAM", "tmp0MBiAM", 1571004000.0,
          None, 9.0, None, "youtube qIzfPsvRKMI"),
    Video("https://www.youtube.com/watch?v=MVMCBsqi0L8", "tmprgtO45", "tmprgtO45", 1570572000.0,
          None, 9.0, None, "youtube MVMCBsqi0L8"),
    Video("https://www.youtube.com/watch?v=uQSM7070FMQ", "tmpAXtPij", "tmpAXtPij", 1570572000.0,
          None, 9.0, None, "youtube uQSM7070FMQ"),
    Video("https://www.youtube.com/watch?v=wRQS5VGBGnM", "tmp1iXrX2", "tmp1iXrX2", 1570572000.0,
          None, 9.0, None, "youtube wRQS5VGBGnM"),
    Video("https://www.youtube.com/watch?v=r7THj30Fq_M", "tmp ZviYn", "tmp ZviYn", 1570572000.0,
          None, 9.0, None, "youtube r7THj30Fq_M"),
    Video("https://www.youtube.com/watch?v=5gYV2reIP-M", "tmpMFfNUz", "tmpMFfNUz", 1570572000.0,
          None, 9.0, None, "youtube 5gYV2reIP-M"),
    Video("https://www.youtube.com/watch?v=nynoN1lXUsA", "tmp0rjgOp", "tmp0rjgOp", 1568325600.0,
          None, 9.0, None, "youtube nynoN1lXUsA"),
    Video("https://www.youtube.com/watch?v=BTZ5KVRUy1Q", "tmpIwT4T4", "tmpIwT4T4", 1566770400.0,
          None, 9.0, None, "youtube BTZ5KVRUy1Q"),
    Video("https://www.youtube.com/watch?v=nE0iffq9p0o", "tmpAVxNMu", "tmpAVxNMu", 1566770400.0,
          None, 9.0, None, "youtube nE0iffq9p0o"),
    Video("https://www.youtube.com/watch?v=SR86aNrbWt0", "tmpkKgWQ0", "tmpkKgWQ0", 1566770400.0,
          None, 9.0, None, "youtube SR86aNrbWt0"),
    Video("https://www.youtube.com/watch?v=sR6wfV_I4Ek", "tmpCZzqSl", "tmpCZzqSl", 1566511200.0,
          None, 9.0, None, "youtube sR6wfV_I4Ek"),
    Video("https://www.youtube.com/watch?v=Soht0V1DvJA", "tmpjkVDRD", "tmpjkVDRD", 1566511200.0,
          None, 9.0, None, "youtube Soht0V1DvJA"),
    Video("https://www.youtube.com/watch?v=sGu2f226qWQ", "tmpByGQG9", "tmpByGQG9", 1566424800.0,
          None, 9.0, None, "youtube sGu2f226qWQ"),
    Video("https://www.youtube.com/watch?v=SwOgwUsLjEQ", "tmpaRXANn", "tmpaRXANn", 1565733600.0,
          None, 9.0, None, "youtube SwOgwUsLjEQ"),
    Video("https://www.youtube.com/watch?v=mRfwKjlJKW4", "tmpk2hPIE", "tmpk2hPIE", 1565733600.0,
          None, 9.0, None, "youtube mRfwKjlJKW4"),
    Video("https://www.youtube.com/watch?v=xI4tBbz82nA", "tmp oeA2A", "tmp oeA2A", 1565733600.0,
          None, 9.0, None, "youtube xI4tBbz82nA"),
    Video("https://www.youtube.com/watch?v=VAJiNvQskTA", "tmp9BJsWJ", "tmp9BJsWJ", 1565733600.0,
          None, 9.0, None, "youtube VAJiNvQskTA"),
    Video("https://www.youtube.com/watch?v=rYneNOGiYWI", "tmpnmofZb", "tmpnmofZb", 1565301600.0,
          None, 9.0, None, "youtube rYneNOGiYWI"),
    Video("https://www.youtube.com/watch?v=wqc0eq0Oy7Y", "tmpIfLfvk", "tmpIfLfvk", 1565042400.0,
          None, 9.0, None, "youtube wqc0eq0Oy7Y"),
]
